function [ X ] = prepare( data,L )
X=[];
for j=1:L
X=[X lagmatrix(data,j) ];
end
%x_lag = nan(size(data,1),size(data,2));
%x_lag(2:end,:) = data(1:(size(data,1)-1),:);

X=[X ones(rows(X),1)];
%X=[X ones(rows(data),1)];
end

